Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class TimerScheduleTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.TimerScheduleTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, TimerScheduleType<T>

    public class TimerScheduleTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, TimerScheduleType<T>

This class implements the `timer-scheduleType` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`TimerScheduleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`TimerScheduleTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getDayOfMonth()` Returns the `day-of-month` element
`java.lang.String` | `getDayOfWeek()` Returns the `day-of-week` element
`java.lang.String` | `getHour()` Returns the `hour` element
`java.lang.String` | `getMinute()` Returns the `minute` element
`java.lang.String` | `getMonth()` Returns the `month` element
`java.lang.String` | `getSecond()` Returns the `second` element
`java.lang.String` | `getYear()` Returns the `year` element
`TimerScheduleType<T>` | `removeDayOfMonth()` Removes the `day-of-month` element
`TimerScheduleType<T>` | `removeDayOfWeek()` Removes the `day-of-week` element
`TimerScheduleType<T>` | `removeHour()` Removes the `hour` element
`TimerScheduleType<T>` | `removeMinute()` Removes the `minute` element
`TimerScheduleType<T>` | `removeMonth()` Removes the `month` element
`TimerScheduleType<T>` | `removeSecond()` Removes the `second` element
`TimerScheduleType<T>` | `removeYear()` Removes the `year` element
`TimerScheduleType<T>` | `setDayOfMonth(java.lang.String dayOfMonth)` If not already created, a new `day-of-month` element with the given value will be created.
`TimerScheduleType<T>` | `setDayOfWeek(java.lang.String dayOfWeek)` If not already created, a new `day-of-week` element with the given value will be created.
`TimerScheduleType<T>` | `setHour(java.lang.String hour)` If not already created, a new `hour` element with the given value will be created.
`TimerScheduleType<T>` | `setMinute(java.lang.String minute)` If not already created, a new `minute` element with the given value will be created.
`TimerScheduleType<T>` | `setMonth(java.lang.String month)` If not already created, a new `month` element with the given value will be created.
`TimerScheduleType<T>` | `setSecond(java.lang.String second)` If not already created, a new `second` element with the given value will be created.
`TimerScheduleType<T>` | `setYear(java.lang.String year)` If not already created, a new `year` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerScheduleTypeImpl

    public TimerScheduleTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### TimerScheduleTypeImpl

    public TimerScheduleTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setSecond

    public TimerScheduleType<T> setSecond(java.lang.String second)

  If not already created, a new `second` element with the given value will be created. Otherwise, the existing `second` element will be updated with the given value.

  Specified by:
    `setSecond` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeSecond

    public TimerScheduleType<T> removeSecond()

  Removes the `second` element

  Specified by:
    `removeSecond` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getSecond

    public java.lang.String getSecond()

  Returns the `second` element

  Specified by:
    `getSecond` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `second`

### setMinute

    public TimerScheduleType<T> setMinute(java.lang.String minute)

  If not already created, a new `minute` element with the given value will be created. Otherwise, the existing `minute` element will be updated with the given value.

  Specified by:
    `setMinute` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeMinute

    public TimerScheduleType<T> removeMinute()

  Removes the `minute` element

  Specified by:
    `removeMinute` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getMinute

    public java.lang.String getMinute()

  Returns the `minute` element

  Specified by:
    `getMinute` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `minute`

### setHour

    public TimerScheduleType<T> setHour(java.lang.String hour)

  If not already created, a new `hour` element with the given value will be created. Otherwise, the existing `hour` element will be updated with the given value.

  Specified by:
    `setHour` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeHour

    public TimerScheduleType<T> removeHour()

  Removes the `hour` element

  Specified by:
    `removeHour` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getHour

    public java.lang.String getHour()

  Returns the `hour` element

  Specified by:
    `getHour` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `hour`

### setDayOfMonth

    public TimerScheduleType<T> setDayOfMonth(java.lang.String dayOfMonth)

  If not already created, a new `day-of-month` element with the given value will be created. Otherwise, the existing `day-of-month` element will be updated with the given value.

  Specified by:
    `setDayOfMonth` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeDayOfMonth

    public TimerScheduleType<T> removeDayOfMonth()

  Removes the `day-of-month` element

  Specified by:
    `removeDayOfMonth` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getDayOfMonth

    public java.lang.String getDayOfMonth()

  Returns the `day-of-month` element

  Specified by:
    `getDayOfMonth` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `day-of-month`

### setMonth

    public TimerScheduleType<T> setMonth(java.lang.String month)

  If not already created, a new `month` element with the given value will be created. Otherwise, the existing `month` element will be updated with the given value.

  Specified by:
    `setMonth` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeMonth

    public TimerScheduleType<T> removeMonth()

  Removes the `month` element

  Specified by:
    `removeMonth` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getMonth

    public java.lang.String getMonth()

  Returns the `month` element

  Specified by:
    `getMonth` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `month`

### setDayOfWeek

    public TimerScheduleType<T> setDayOfWeek(java.lang.String dayOfWeek)

  If not already created, a new `day-of-week` element with the given value will be created. Otherwise, the existing `day-of-week` element will be updated with the given value.

  Specified by:
    `setDayOfWeek` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeDayOfWeek

    public TimerScheduleType<T> removeDayOfWeek()

  Removes the `day-of-week` element

  Specified by:
    `removeDayOfWeek` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getDayOfWeek

    public java.lang.String getDayOfWeek()

  Returns the `day-of-week` element

  Specified by:
    `getDayOfWeek` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `day-of-week`

### setYear

    public TimerScheduleType<T> setYear(java.lang.String year)

  If not already created, a new `year` element with the given value will be created. Otherwise, the existing `year` element will be updated with the given value.

  Specified by:
    `setYear` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### removeYear

    public TimerScheduleType<T> removeYear()

  Removes the `year` element

  Specified by:
    `removeYear` in interface `TimerScheduleType<T>`
  Returns:
    the current instance of `TimerScheduleType`

### getYear

    public java.lang.String getYear()

  Returns the `year` element

  Specified by:
    `getYear` in interface `TimerScheduleType<T>`
  Returns:
    the node defined for the element `year`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD